# Poco

# template < class TObj, class TArgs, bool useSender = true >

# class PriorityDelegate

Library: Foundation
Package: Events
Header: Poco/PriorityDelegate.h

## Inheritance

Direct Base Classes: AbstractPriorityDelegate < TArgs >

All Base Classes: AbstractPriorityDelegate < TArgs >

## Member Summary

Member Functions: clone, notify, operator =

## Types

### void

typedef void (TObj::* NotifyMethod)(const void *, TArgs &);

## Constructors

### PriorityDelegate

PriorityDelegate(
const PriorityDelegate & delegate
);

### PriorityDelegate

PriorityDelegate(
TObj * obj,
NotifyMethod method,
int prio
);

## Destructor

### ~PriorityDelegate

~PriorityDelegate();

## Member Functions

### clone

AbstractPriorityDelegate < TArgs > * clone() const;

### notify

bool notify(
const void * sender,
TArgs & arguments
);

### operator =

PriorityDelegate & operator = (
const PriorityDelegate & delegate
);

## Variables

### _receiverMethod

NotifyMethod _receiverMethod;

### _receiverObject

TObj * _receiverObject;